Linux PTRACE_TRACEME Local Privilege Escalation Exploit

In the Linux kernel before 5.1.17, ptrace_link in kernel/ptrace.c mishandles the recording of the credentials of a process that wants to create a ptrace relationship, which allows local users to obtain root access by leveraging certain scenarios with a parent-child process relationship, where a parent drops privileges and calls execve (potentially allowing control by an attacker).
Exploit type: 
Platform: 
Vulnerabilty ID: 
CVE-2019-13272
Released Date: 
Sunday, January 5, 2020 - 18:00